/******************************************************************************
 *
 *  PalmOrb - Emulate a Matrix Orbital LCD Display with Keypad
 *  Copyright (C) 2004  Chris Lansley  <palmorb@lansley.me.uk>
 *  Copyright (C) 2001  David Douthitt 
 *  Copyright (C) 2000  J Robert Ray
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *  $Source: /cvsroot/palmorb/palmorb/types.h,v $
 *  $Revision: 1.1 $ $Date: 2004/09/26 16:18:48 $
 *
 ******************************************************************************/

#ifndef __TYPES_H__
#define __TYPES_H__


/* Use M*8/16 when you need atleast 8/16 bits but are
 * happy to get 16 or 32 if it's faster to do so.
 *
 * Old palm devices are 16 bit - so use 16 bits rather than
 * 32.
 */ 
typedef UInt16 MUInt16;
typedef UInt16 MUInt8;
typedef Int16  MInt16;
typedef Int16  MInt8;

#endif // __TYPES_H__
