/******************************************************************************
 *
 *  PalmOrb - Emulate a Matrix Orbital LCD Display with Keypad
 *  Copyright (C) 2004  Chris Lansley  <palmorb@lansley.me.uk>
 *  Copyright (C) 2001  David Douthitt 
 *  Copyright (C) 2000  J Robert Ray
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *  $Source: /cvsroot/palmorb/palmorb/ui.h,v $
 *  $Revision: 1.2 $ $Date: 2004/10/13 11:05:29 $
 *
 ******************************************************************************/

#ifndef __UI_H__
#define __UI_H__

#include "segments.h"

extern Boolean UI_ApplicationHandleEvent(EventPtr event);
extern void UI_showPowerStatus(FormType *formPtr, Boolean lowBattery) SEG2;
extern Boolean UI_mainOnScreen;
extern Boolean UI_mainDrawingOK;


#endif			// __UI_H__
