/******************************************************************************
 *
 *  PalmOrb - Emulate a Matrix Orbital LCD Display with Keypad
 *  Copyright (C) 2004  Chris Lansley  <palmorb@lansley.me.uk>
 *  Copyright (C) 2001  David Douthitt 
 *  Copyright (C) 2000  J Robert Ray
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *  $Source: /cvsroot/palmorb/palmorb/segments.h,v $
 *  $Revision: 1.1 $ $Date: 2004/09/07 21:03:12 $
 *
 ******************************************************************************/

#ifndef __SEGMENTS_H__
#define __SEGMENTS_H__

/* Currently we only need to use multiple code segments when debugging is on,
 * I assume the ASSERTS are adding a lot of code.
 *
 * If the non-debug build starts complaining about exceeding segment size then
 * define it also in non-debug builds. Will also need to edit makefile.
 */
#if DEBUG
#define SEG2 __attribute__ ((section("SEGMENT2")))
#else
#define SEG2
#endif //DEBUG

#endif // __SEGMENTS_H__
