#!/bin/bash

#******************************************************************************
#*
#*  PalmOrb - Emulate a Matrix Orbital LCD Display with Keypad
#*  Copyright (C) 2004  Chris Lansley  <palmorb@lansley.me.uk>
#*  Copyright (C) 2001  David Douthitt
#*  Copyright (C) 2000  J Robert Ray
#*
#*  This program is free software; you can redistribute it and/or
#*  modify it under the terms of the GNU General Public License
#*  as published by the Free Software Foundation; either version 2
#*  of the License, or (at your option) any later version.
#*
#*  This program is distributed in the hope that it will be useful,
#*  but WITHOUT ANY WARRANTY; without even the implied warranty of
#*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#*  GNU General Public License for more details.
#*
#*  You should have received a copy of the GNU General Public License
#*  along with this program; if not, write to the Free Software
#*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#*
#*  $Source: /cvsroot/palmorb/palmorb/updatebld.sh,v $
#*  $Revision: 1.3 $ $Date: 2004/09/13 18:12:48 $
#*
#******************************************************************************


RESOURCEF=palmorb.rcp
RESOURCEF_PP=palmorb.pp
BUILDF=buildnum.txt
VERSIONF=version.txt
BUILDNUM=$(( $(cat $BUILDF) + 1))
VERSION=$(cat $VERSIONF)

echo "=============================="
echo "== Build: $BUILDNUM"
echo "== Version: $VERSION"
echo "=============================="

sed "s/BUILD_NUM/$BUILDNUM/g" $RESOURCEF | sed "s/VERSION_NAME/$VERSION/g"  > $RESOURCEF_PP

echo $BUILDNUM > $BUILDF
